MagnifyTool(3U)

NAME
MagnifyTool - tool for magnifying a portion of the GraphicView displayed in a viewer

SYNOPSIS
#include <Unidraw/Tools/magnify.h>

DESCRIPTION
MagnifyTool lets the user magnify a portion a viewer's contents. The user sweeps out a rectangular area with the MagnifyTool, and the viewer will magnify the area to occupy the entire screen, if possible.

PUBLIC OPERATIONS

MagnifyTool(ControlInfo* = nil)
    Instantiate a MagnifyTool.

virtual Manipulator* CreateManipulator(

Viewer*, Event&, Transformer*

)

virtual void InterpretManipulator(Manipulator*)
    CreateManipulator generates a DragManip with a RubberRect to provide visual feedback for specifying the rectangular area to be magnified. InterpretManipulator does not create a command; rather, it examines the DragManipulator's RubberRect and calls Magnify on the viewer with the RubberRect's final coordinates.

SEE ALSO
Rubband(3I), Tool(3U), Viewer(3U), manips(3U)